Subject: bug#46496: closed (Bug closed)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Apr 2021 18:40:01 +0000

Your bug report

#46496: newlib-nano doesn't have libc_nano.a 

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46496: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46496
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Bug closed
From: Morgan Smith <[email-masked]>
To: [email-masked]
Date: Thu, 15 Apr 2021 14:39:31 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello!

Thank you for reporting this bug. This bug was fixed in commit
8799369983315d799501b4f45a3954195b630ebb made on April 8th.

You are correct that libc_nano.a should be for newlib-nano and libc.a
should be for newlib. However, in the nano toolchain, both libc.a and
libc_nano.a (which was recently added) are used for newlib-nano.

In the future, we should combine the nano and non-nano toolchain
together so that it matches up with your (correct) intuition of what
should be where. But that is a job for another day.

Thanks,

Morgan

Subject: newlib-nano doesn't have libc_nano.a
From: Nala Ginrut <[email-masked]>
To: [email-masked]
Date: Sun, 14 Feb 2021 03:11:07 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I can't build ZephyrRTOS with arm-none-eabi-nano-toolchain,
because libc_nano.a is required by ZephyrRTOS when I enabled newlib nano
config.
Then I found there's only libc_nano.a in newlib-nano path, only libc.a.

I think libc.a is for newlib, and libc_nano.a is for newlib-nano.

Best regards.

-- 
GNU Powered it
GPL Protected it
GOD Blessed it
HFG - NalaGinrut
Fingerprint F53B 4C56 95B5 E4D5 6093 4324 8469 6772 846A 0058